Package ru.bitel.bgbilling.modules.npay.common.bean

# Class ServiceObject.Builder

java.lang.Object
ru.bitel.bgbilling.modules.npay.common.bean.ServiceObject.Builder

Enclosing class:
  `ServiceObject`

public static class ServiceObject.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServiceObject`
  `build()`
  `ServiceObject.Builder`
  `setCol(BigDecimal col)`
  `ServiceObject.Builder`
  `setComment(String comment)`
  `ServiceObject.Builder`
  `setContractId(int contractId)`
  `ServiceObject.Builder`
  `setCost(BigDecimal cost)`
  `ServiceObject.Builder`
  `setDate1(Date serviceDate1)`
  `ServiceObject.Builder`
  `setDate2(Date serviceDate2)`
  `ServiceObject.Builder`
  `setEntityId(int entityId)`
  `ServiceObject.Builder`
  `setEntityModuleId(int entityModuleId)`
  `ServiceObject.Builder`
  `setId(int id)`
  `ServiceObject.Builder`
  `setLastUpdate(LocalDateTime lastUpdate)`
  `ServiceObject.Builder`
  `setObjectId(int objectId)`
  `ServiceObject.Builder`
  `setObjectTitle(String objectTitle)`
  `ServiceObject.Builder`
  `setServiceId(int serviceId)`
  `ServiceObject.Builder`
  `setServiceTitle(String serviceTitle)`
  `ServiceObject.Builder`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ServiceObject.Builder setId(int id)

  - ### setObjectTitle

    public ServiceObject.Builder setObjectTitle(String objectTitle)

  - ### setDate1

    public ServiceObject.Builder setDate1(Date serviceDate1)

  - ### setDate2

    public ServiceObject.Builder setDate2(Date serviceDate2)

  - ### setServiceTitle

    public ServiceObject.Builder setServiceTitle(String serviceTitle)

  - ### setObjectId

    public ServiceObject.Builder setObjectId(int objectId)

  - ### setServiceId

    public ServiceObject.Builder setServiceId(int serviceId)

  - ### setUserId

    public ServiceObject.Builder setUserId(int userId)

  - ### setCost

    public ServiceObject.Builder setCost(BigDecimal cost)

  - ### setCol

    public ServiceObject.Builder setCol(BigDecimal col)

  - ### setEntityId

    public ServiceObject.Builder setEntityId(int entityId)

  - ### setEntityModuleId

    public ServiceObject.Builder setEntityModuleId(int entityModuleId)

  - ### setContractId

    public ServiceObject.Builder setContractId(int contractId)

  - ### setComment

    public ServiceObject.Builder setComment(String comment)

  - ### setLastUpdate

    public ServiceObject.Builder setLastUpdate(LocalDateTime lastUpdate)

  - ### build

    public ServiceObject build()